MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIFFImageWriter Class Reference

writes an image stage to a TIFF file More...

`#include <TIFFImageWriter.h>`

Inheritance diagram for TIFFImageWriter:
[legend]
Collaboration diagram for TIFFImageWriter:
[legend]

## Public Member Functions
| TIFFImageWriter (bool writeGeoTIFF=false)
| constructor More...
virtual | ~TIFFImageWriter ()
LT_STATUS | initialize (LTIImageStage *image)
void | setWriteResolution (bool enable)
| Output resolution information. More...
void | setAllowWritingBigTIFF (bool allowBigTIFF)
| Write a BigTIFF if the the scene may produce a file greater than 4GB. More...
void | setForceWritingBigTIFF (bool forceBigTIFF)
| Write a BigTIFF. More...
LT_STATUS | writeBegin (const LTIScene &scene)
| begin an encode (write) operation More...
LT_STATUS | writeStrip (LTISceneBuffer &stripBuffer, const LTIScene &stripScene)
| encode one strip of the scene More...
LT_STATUS | writeEnd ()
| complete an encode (write) operation More...
void | setEndian (LTIEndian value)
Public Member Functions inherited from LTIGeoFileImageWriter
virtual | ~LTIGeoFileImageWriter ()
virtual LT_STATUS | deleteOutput (void)
| clean up a failed encode (write) operation More...
virtual LT_STATUS | setOutputFileSpec (const LTFileSpec &fileSpec)
| set output file name More...
virtual LT_STATUS | setOutputFileSpec (const char *fileSpec)
| set output file name More...
virtual LT_STATUS | setOutputStream (LTIOStreamInf *stream)
| set output file stream More...
virtual void | setWriteWorldFile (bool enabled)
| enable writing of world file More...
Public Member Functions inherited from LTIImageWriter
virtual | ~LTIImageWriter ()
virtual LT_STATUS | write (const LTIScene &scene)
| write (encode) a scene to the output format More...
LT_STATUS | setStripHeight (lt_uint32 stripHeight)
| set the stripheight for the encode More...
lt_uint32 | getStripHeight (void) const
| get the stripheight for the encode More...
virtual lt_uint32 | getDefaultStripHeight (void) const
| get the preferred stripheight for the encode More...
virtual lt_int64 | getEncodingCost (const LTIScene &scene) const
| get the cost to encode the scene More...
void | setProgressDelegate (LTIProgressDelegate *delegate)
| set progress delegate More...
void | setInterruptDelegate (LTIInterruptDelegate *delegate)
| set interrupt delegate More...
const LTIImageStage * | getSourceImageStage (void) const
| get the source image stage More...
LTIProgressDelegate * | getProgressDelegate (void) const
| get progress delegate More...
LTIInterruptDelegate * | getInterruptDelegate (void) const
| get interrupt delegate More...
virtual LT_STATUS | setEncodingApplication (const char *name, const char *version, const char *comment=NULL)
| set name and version of the creating application More...

## Additional Inherited Members
Protected Member Functions inherited from LTIGeoFileImageWriter
| LTIGeoFileImageWriter (bool supportsStreams)
| constructor More...
LTIOStreamInf * | getStream () const
| get underlying stream More...
LTFileSpec * | getFileSpec () const
| get target filename More...
Protected Attributes inherited from LTIImageWriter
LTIImageStage * | m_image

## Detailed Description

This class writes an image stage to a TIFF file.

Examples:
  DecodeMrSIDToTIFF.cpp.

Definition at line 35 of file TIFFImageWriter.h.

## Constructor & Destructor Documentation

TIFFImageWriter::TIFFImageWriter | ( | bool | writeGeoTIFF = `false`) |  |

Creates a writer for TIFF images.

Parameters

  writeGeoTIFF | if true the writer will include GeoTIFF tags

virtual TIFFImageWriter::~TIFFImageWriter | ( | ) |  |
| virtual

## Member Function Documentation

LT_STATUS TIFFImageWriter::initialize | ( | LTIImageStage * | image) |  |

void TIFFImageWriter::setAllowWritingBigTIFF | ( | bool | allowBigTIFF) |  |

Parameters

  allowBigTIFF | set to true to write a BigTIFF if needed

void TIFFImageWriter::setEndian | ( | LTIEndian | value) |  |

void TIFFImageWriter::setForceWritingBigTIFF | ( | bool | forceBigTIFF) |  |

Parameters

  forceBigTIFF | set to true to write a BigTIFF

void TIFFImageWriter::setWriteResolution | ( | bool | enable) |  |

Set this to false to prevent writing normal TIFF resolution information.

The default is to write this information.

Parameters

  enable | set to true to write resolution information

LT_STATUS TIFFImageWriter::writeBegin | ( | const LTIScene & | scene) |  |
| virtual

This function implements the logic for beginning the encoding of the given scene.

The scene must be a valid scene for the underlying image pipeline.

This function is called by write(). Derived classes must implement this function.

Parameters

  scene | the scene to decode and output

Returns
  status code indicating success or failure

Reimplemented from LTIGeoFileImageWriter.

LT_STATUS TIFFImageWriter::writeEnd | ( | ) |  |
| virtual

This function implements the logic for completing the encoding of the given scene.

This function is called by write(). Derived classes must implement this function.

Returns
  status code indicating success or failure

Reimplemented from LTIGeoFileImageWriter.

LT_STATUS TIFFImageWriter::writeStrip | ( | LTISceneBuffer & | stripBuffer,
|  | const LTIScene & | stripScene
| ) |  |
| virtual

This function implements the logic for actually encoding a given strip of the given scene.

This function is called by write(). Derived classes must implement this function.

Parameters

  stripBuffer | the pixels for the current strip
  stripScene | the scene representing the strip being written

Returns
  status code indicating success or failure

Implements LTIGeoFileImageWriter.

The documentation for this class was generated from the following file:

- TIFFImageWriter.h

LizardTech